# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project tries to adhere to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

<!-- ## [Unreleased] -->

## [0.4.1] - 2022-01-05

### Added

* Added pypi release publication

### Changed

* Compatible with Python stretching back to version 3.7

## [0.4.0] - 2021-12-06

### Added 

* Added import of duplicate activities
  In nomie, you can have multiple activity tags in a single event,
  e.g. #smoking #smoking. This does not work in Loop, but we import
  them as separate counter instances instead.

### Changed

* Begin rewrite of much of the internals to be more class-based and have more solid type checking
* If used as library, most of internal functionality has changed with more changes upcoming

### Fixed

* Create missing PRAGMA values for Loop SQLite database, fixing failing import
* Check for database existing and able to connect to before doing any writing

## [0.3.1] - 2021-09-30

### Fixed

* Fix ability to run via poetry or be invoked from command-line

### Removed

* Remove pandas dependency and dataframe functionality

## [0.3.0] - 2021-08-30

### Added 

* Add repetition import, translated from events
    * Does not do multiple entries for simple trackers in nomie yet
* Add range habits, using nomie maximum value for range targets in Loop
* Adding ranges defaults target value to half of maximum nomie value

### Fixed

* Fix repetition import failing on duplicates. Will not import duplicate timestamps.

## [0.2.1] - 2021-08-28

### Fixed

* Fix Loop Habit import breaking because of missing habit position

## [0.2.0] - 2021-08-28

### Added

* Check for duplicate habits before adding them
* Inform user of duplicate habits
* Color negatively scored habits red in Loop Habit Tracker (does not work for custom scores)
* Begin keeping this changelog
